【活用ガイド】

[English]

JVNDB-2015-000068

SXF 共通ライブラリにおけるバッファオーバーフローの脆弱性

概要

SXF 共通ライブラリには、入力データの処理に起因するバッファオーバーフロー (CWE-121) の脆弱性が存在します。

この脆弱性情報は、情報セキュリティ早期警戒パートナーシップに基づき下記の方が IPA に報告し、JPCERT/CC が開発者との調整を行いました。
報告者: ニコニコ技術部 akira_you 氏

CVSS による深刻度 (CVSS とは?)

基本値: 6.8 (警告) [IPA値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 中
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的

影響を受けるシステム


オープンCADフォーマット評議会
  • SXF 共通ライブラリ Ver.3.21 およびそれ以前

想定される影響

細工された CAD ファイルを処理することで、任意のコードを実行される可能性があります。
対策

[アップデートする]
開発者が提供する情報をもとに、最新版へアップデートしてください。
ベンダ情報

オープンCADフォーマット評議会
CWEによる脆弱性タイプ一覧  CWEとは?

  1. バッファエラー(CWE-119) [IPA評価]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2015-2946
参考情報

  1. JVN : JVN#93976566
  2. National Vulnerability Database (NVD) : CVE-2015-2946
  3. IPA 重要なセキュリティ情報 : 「SXF 共通ライブラリ」におけるバッファオーバーフロー脆弱性対策について(JVN#93976566)
更新履歴

[2015年05月22日]
  掲載
[2015年05月28日]
  参考情報:National Vulnerability Database (NVD) (CVE-2015-2946) を追加